aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorolifre <o.freyermuth@googlemail.com>2017-03-15 12:05:04 +0100
committerJustin Lecher <jlec@gentoo.org>2017-03-15 11:05:04 +0000
commit64f0c4baff6e18126d28109c393c53727bace951 (patch)
tree7c92a00bbeb2fd158e0e4381a0e224a884550a98 /net-misc
parentsci-libs/cblas-reference: fix for issue #60 (#752) (diff)
downloadsci-64f0c4baff6e18126d28109c393c53727bace951.tar.gz
sci-64f0c4baff6e18126d28109c393c53727bace951.tar.bz2
sci-64f0c4baff6e18126d28109c393c53727bace951.zip
net-misc/cernbox-client: Bump to 2.3.0, (#754)
* net-misc/cernbox-client: Bump to 2.3.0, adapt 2.2.4 ebuild to in-tree changes of owncloud-client, use updated cernbox-branding. Package-Manager: Portage-2.3.4, Repoman-2.3.2 * net-misc/cernbox-client: drop leading whitespace. Package-Manager: Portage-2.3.4, Repoman-2.3.2
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/cernbox-client/Manifest3
-rw-r--r--net-misc/cernbox-client/cernbox-client-2.2.4-r1.ebuild (renamed from net-misc/cernbox-client/cernbox-client-2.2.4.ebuild)67
-rw-r--r--net-misc/cernbox-client/cernbox-client-2.3.0.ebuild103
3 files changed, 133 insertions, 40 deletions
diff --git a/net-misc/cernbox-client/Manifest b/net-misc/cernbox-client/Manifest
index c98aa1512..140adff1b 100644
--- a/net-misc/cernbox-client/Manifest
+++ b/net-misc/cernbox-client/Manifest
@@ -1,2 +1,3 @@
-DIST cernbox-client-2.1.1-1.1.src.rpm 13110999 SHA256 955f660e95ae5290ab6a9b05af6c6a0012428b574921f8d0a80a349a1ec39ead SHA512 25a53d88d393406ce4076932a1757dc27b2bbbe1a38a2d5f084024352a6467eb2ca650e1f5b86d5551f0277d4e4d9011f967e3651d86ed9b58a7296a8abe0039 WHIRLPOOL a5f416a299e49118a73a591f1ca6b58eb41d64bb84454ba363f27ccfdb4e38e5a1ab29395c9a4b1fbdd36d5d400dfac9567cd11cc8d0fd32bf5145917835187f
+DIST cernbox-client-2.2.4-1.1.src.rpm 14208412 SHA256 1835b660026026a1fd30ef45c2f0d76fbf8efb2970399c24467c9e1611745838 SHA512 24b2a56eb7cc520271ea5f4900f86852cf34ff500b5339b63984b74a40288e30fe785fc9815937637211e7c3d8d7fde7f509f0319d676522641e04ef8192db1e WHIRLPOOL af3c11d30b77d6722c67bb561d1d6e3ab125824d3a25265d25227dfc0ef4f2198d0dfe733b0ca5a3098f59b6da08fbcdb2fac81d02b025ca3215196bf2a4e337
DIST owncloudclient-2.2.4.tar.xz 12216896 SHA256 f313534f7cdae686beeaa6670d9e3586a627ce78b67cab6e42a448a675d9e7d3 SHA512 5bc5273c90ab63c411e58d1fe13636f6b5977c28470efe53296a71541aaa63af99001cb630adaee99b9b81a8b56fe0f66c337319464ab950dd6eac4cdd53f951 WHIRLPOOL 18aa5076049f9cdfbafa58454937b7fc4c38a5405b6e1375d762d88bbfae92b813cd2ec88a4e4108012137c94908894821575d3f6d2bf694e35d734f2b8fbd37
+DIST owncloudclient-2.3.0.tar.xz 12256428 SHA256 8e692d2eda2d74b233c67dfbd14a7a440508529a1ca73241890e926deb275081 SHA512 a0bb33ad110cfa215e87ef31ff5c4ba1a9df4f80ea48bd267e354fe1d27702d6c5b30ba3cdae5f5c7775da64260bd4f4e5c6dec977694d23addbc9e29348c8b1 WHIRLPOOL 957cde17f2e6eddfe411f49dbe824194d1f643c4a0ce870a5911834fcccb96e6e2684a325dc426c1dd8bba545f6abc301fa030066eab211a1f58bba66b58b7de
diff --git a/net-misc/cernbox-client/cernbox-client-2.2.4.ebuild b/net-misc/cernbox-client/cernbox-client-2.2.4-r1.ebuild
index f3ab1972d..d6687b872 100644
--- a/net-misc/cernbox-client/cernbox-client-2.2.4.ebuild
+++ b/net-misc/cernbox-client/cernbox-client-2.2.4-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -10,65 +10,54 @@ DESCRIPTION="Synchronize files from CERNbox EOS with your computer"
# Origin is classic owncloud-client, branded for CERN during compilation.
ORIGIN_P="owncloudclient"
BRANDED_P="cernbox"
-BRANDED_PV="2.1.1"
+BRANDED_PV="2.2.4"
BRANDED_REL="1.1"
HOMEPAGE="https://cernbox.cern.ch/"
SRC_URI="http://download.owncloud.com/desktop/stable/${ORIGIN_P}-${PV}.tar.xz
- https://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_7/src/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm"
+ https://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_7/src/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm"
LICENSE="CC-BY-3.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="doc dolphin nautilus samba +sftp test qt4 +qt5"
-
-REQUIRED_USE="^^ ( qt4 qt5 )
- dolphin? ( qt5 )"
-
-RDEPEND=">=dev-db/sqlite-3.4:3
+IUSE="doc dolphin nautilus samba +sftp test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+ dev-libs/qtkeychain[qt5]
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsql:5
+ dev-qt/qtwebkit:5
sys-fs/inotify-tools
virtual/libiconv
dolphin? (
- >=kde-frameworks/kcoreaddons-5.16:5
- >=kde-frameworks/kio-5.16:5 )
- nautilus? ( dev-python/nautilus-python )
- qt4? (
- dev-libs/qtkeychain[qt4]
- dev-qt/qtcore:4
- dev-qt/qtdbus:4
- dev-qt/qtgui:4
- dev-qt/qtsql:4
- dev-qt/qtwebkit:4
- net-libs/neon[ssl]
- )
- qt5? (
- dev-libs/qtkeychain[qt5]
- dev-qt/qtconcurrent:5
- dev-qt/qtcore:5
- dev-qt/qtdbus:5
- >=dev-qt/qtnetwork-5.4:5
- dev-qt/qtgui:5
- dev-qt/qtquickcontrols:5
- dev-qt/qtsql:5
- dev-qt/qtwebkit:5[printsupport]
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kio:5
)
+ nautilus? ( dev-python/nautilus-python )
samba? ( >=net-fs/samba-3.5 )
sftp? ( >=net-libs/libssh-0.5 )
+"
+RDEPEND="${COMMON_DEPEND}
!net-misc/ocsync
- !net-misc/nextcloud-client"
-DEPEND="${RDEPEND}
+ !net-misc/nextcloud-client
+"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
doc? (
dev-python/sphinx
dev-texlive/texlive-latexextra
virtual/latex-base
)
- dolphin? ( >=kde-frameworks/extra-cmake-modules-5.22.0 )
- qt5? ( dev-qt/linguist-tools:5 )
+ dolphin? ( kde-frameworks/extra-cmake-modules )
test? (
dev-util/cmocka
- qt4? ( dev-qt/qttest:4 )
- qt5? ( dev-qt/qttest:5 )
- )"
+ dev-qt/qttest:5
+ )
+"
S=${WORKDIR}/owncloudclient-${PV}
@@ -99,7 +88,7 @@ src_configure() {
-DWITH_ICONV=ON
-DWITH_DOC=$(usex doc)
-DCMAKE_DISABLE_FIND_PACKAGE_KF5=$(usex !dolphin)
- -DBUILD_WITH_QT4=$(usex qt4)
+ -DBUILD_WITH_QT4=OFF
-DCMAKE_DISABLE_FIND_PACKAGE_Libsmbclient=$(usex !samba)
-DCMAKE_DISABLE_FIND_PACKAGE_LibSSH=$(usex !sftp)
-DUNIT_TESTING=$(usex test)
diff --git a/net-misc/cernbox-client/cernbox-client-2.3.0.ebuild b/net-misc/cernbox-client/cernbox-client-2.3.0.ebuild
new file mode 100644
index 000000000..6f3ad8c70
--- /dev/null
+++ b/net-misc/cernbox-client/cernbox-client-2.3.0.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils rpm
+
+DESCRIPTION="Synchronize files from CERNbox EOS with your computer"
+
+# Origin is classic owncloud-client, branded for CERN during compilation.
+ORIGIN_P="owncloudclient"
+BRANDED_P="cernbox"
+BRANDED_PV="2.2.4"
+BRANDED_REL="1.1"
+
+HOMEPAGE="https://cernbox.cern.ch/"
+SRC_URI="http://download.owncloud.com/desktop/stable/${ORIGIN_P}-${PV}.tar.xz
+ https://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_7/src/${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm"
+
+LICENSE="CC-BY-3.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc dolphin nautilus samba +sftp test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+ dev-libs/qtkeychain[qt5]
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsql:5
+ dev-qt/qtwebkit:5
+ sys-fs/inotify-tools
+ virtual/libiconv
+ dolphin? (
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kio:5
+ )
+ nautilus? ( dev-python/nautilus-python )
+ samba? ( >=net-fs/samba-3.5 )
+ sftp? ( >=net-libs/libssh-0.5 )
+"
+RDEPEND="${COMMON_DEPEND}
+ !net-misc/ocsync
+ !net-misc/nextcloud-client
+"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
+ doc? (
+ dev-python/sphinx
+ dev-texlive/texlive-latexextra
+ virtual/latex-base
+ )
+ dolphin? ( kde-frameworks/extra-cmake-modules )
+ test? (
+ dev-util/cmocka
+ dev-qt/qttest:5
+ )
+"
+
+S=${WORKDIR}/owncloudclient-${PV}
+
+src_unpack() {
+ rpm_src_unpack ${PN}-${BRANDED_PV}-${BRANDED_REL}.src.rpm
+ mv ${PN/-}-${BRANDED_PV}/cernbox "${S}" || die "failed to extract branding"
+}
+
+src_prepare() {
+ # Keep tests in ${T}
+ sed -i -e "s#\"/tmp#\"${T}#g" test/test*.cpp || die "sed failed"
+
+ if ! use nautilus; then
+ pushd shell_integration > /dev/null || die
+ cmake_comment_add_subdirectory nautilus
+ popd > /dev/null || die
+ fi
+ default
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+ -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+ -DWITH_ICONV=ON
+ -DWITH_DOC=$(usex doc)
+ -DCMAKE_DISABLE_FIND_PACKAGE_KF5=$(usex !dolphin)
+ -DBUILD_WITH_QT4=OFF
+ -DCMAKE_DISABLE_FIND_PACKAGE_Libsmbclient=$(usex !samba)
+ -DCMAKE_DISABLE_FIND_PACKAGE_LibSSH=$(usex !sftp)
+ -DUNIT_TESTING=$(usex test)
+ -DOEM_THEME_DIR=${PWD}/${BRANDED_P}/mirall
+ )
+
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ if ! use doc ; then
+ elog "Documentation and man pages not installed"
+ elog "Enable doc USE-flag to generate them"
+ fi
+}